LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   alien's vlc, -current and SBo's libva (http://www.linuxquestions.org/questions/slackware-14/aliens-vlc-current-and-sbos-libva-840753/)

grissiom 10-27-2010 09:29 AM

alien's vlc, -current and SBo's libva
 
I want to let vlc take use of my Intel HD's H264 hardware decoder. I installed libva with the SlackBuild from SBo. But Alien said libva should match the version vlc built with. So I decided rebuild vlc with new libva.

So I changed the LIBVA to 0.31.1-1+sds4 and added --enable-i965-driver to libva's configure. Building was fine but when I opened a flash video(h264) it said that I don't have h264 plugin and refused to continue. After I changed the version number back, vlc can play h264 again.

As a compromise, I comment out make_libva in the building phase. All things went well then. It won't consume too much CPU even when play large h264 :D

So what is wrong with new libva? I noticed vlc 1.1.4 was released, but I think Alien is more qualified to bump the version. So I didn't change that.

dolphin77 10-27-2010 01:38 PM

http://www.linuxquestions.org/questi...ml#post4140565

grissiom 10-28-2010 08:50 AM

Yes, my question raises from there. I just don't know why new libva would disable h264 plugin of vlc. BTW, build vlc with new libva will have
Code:

usr/lib64/vlc/plugins/demux/libh264_plugin.la
usr/lib64/vlc/plugins/demux/libh264_plugin.so
usr/lib64/vlc/plugins/packetizer/libpacketizer_h264_plugin.la
usr/lib64/vlc/plugins/packetizer/libpacketizer_h264_plugin.so

but vlc just refuse to play h264... ;(


All times are GMT -5. The time now is 11:14 AM.